import { View as NSView } from '@nativescript/core';
import { FlexAlignItems, Overflow, Position, ViewBase } from './common';
export { FlexDirection, FlexAlignItems, FlexAlignSelf, FlexWrap, FlexJustify, Overflow, Position, Direction } from './common';
export declare class View extends ViewBase {
    nativeView: com.facebook.yoga.android.YogaLayout;
    _yogaNode: com.facebook.yoga.YogaNode;
    get yogaNode(): com.facebook.yoga.YogaNode;
    _children: NSView[];
    _childrenQueue: NSView[];
    private static _didInit;
    constructor();
    createNativeView(): any;
    initNativeView(): void;
    _isSingle(value: string): boolean;
    _init(): void;
    private _childrenBatchProperties;
    private _childrenBatchViews;
    private _processBatch;
    onLoaded(): void;
    disposeNativeView(): void;
    _addChildFromBuilder(name: string, value: any): void;
    eachChild(callback: (child: View) => boolean): void;
    eachChildView(callback: (child: View) => boolean): void;
    get android(): com.facebook.yoga.android.YogaLayout;
    get yoga(): com.facebook.yoga.android.YogaLayout;
    set width(value: import("@nativescript/core").PercentLength);
    get width(): import("@nativescript/core").PercentLength;
    set height(value: import("@nativescript/core").PercentLength);
    get height(): import("@nativescript/core").PercentLength;
    set left(value: any);
    get left(): any;
    set top(value: any);
    get top(): any;
    set right(value: any);
    get right(): any;
    set bottom(value: any);
    get bottom(): any;
    set minWidth(value: import("@nativescript/core").Length);
    get minWidth(): import("@nativescript/core").Length;
    set maxWidth(value: any);
    get maxWidth(): any;
    set maxHeight(value: any);
    get maxHeight(): any;
    set alignItems(value: FlexAlignItems);
    get alignItems(): FlexAlignItems;
    set overflow(value: Overflow);
    get overflow(): Overflow;
    set position(value: Position);
    get position(): Position;
    set padding(value: any);
    set margin(value: any);
    set justifyContent(value: import("@nativescript/core/ui/layouts/flexbox-layout").JustifyContent);
    get justifyContent(): import("@nativescript/core/ui/layouts/flexbox-layout").JustifyContent;
    set flexWrap(value: import("@nativescript/core/ui/layouts/flexbox-layout").FlexWrap);
    get flexWrap(): import("@nativescript/core/ui/layouts/flexbox-layout").FlexWrap;
    get flexDirection(): any;
    set flexDirection(value: any);
    get start(): any;
    set start(value: any);
    get end(): any;
    set end(value: any);
    get direction(): any;
    set direction(value: any);
    get marginVertical(): any;
    set marginVertical(value: any);
    get marginHorizontal(): any;
    set marginHorizontal(value: any);
    get paddingHorizontal(): any;
    set paddingHorizontal(value: any);
    get paddingVertical(): any;
    set paddingVertical(value: any);
    private _addChild;
    addChildren(views: View[]): void;
    addChild(view: NSView): void;
    getChildAt(index: number): NSView;
    getChildIndex(view: NSView): number;
    getChildrenCount(): number;
    removeAllChildren(): void;
    removeChild(view: NSView): void;
}
