import { View as NSView, PercentLength, Length } from '@nativescript/core';
import { ViewBase, FlexDirection, Position, Direction } from './common';
export { FlexDirection, FlexAlignItems, FlexAlignSelf, FlexWrap, FlexJustify, Overflow, Position, Direction } from './common';
declare class NSYogaView extends UIView {
    readonly isYogaEnabled: boolean;
    readonly yoga: YGLayout;
    configureLayoutWithBlock(block: (p1: YGLayout) => void): void;
}
export declare class View extends ViewBase {
    nativeView: NSYogaView;
    _children: NSView[];
    constructor();
    createNativeView(): NSYogaView;
    initNativeView(): void;
    _init(): void;
    onLoaded(): void;
    eachChild(callback: (child: View) => boolean): void;
    eachChildView(callback: (child: View) => boolean): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    onLayout(left: number, top: number, right: number, bottom: number): void;
    get ios(): NSYogaView;
    get yoga(): YGLayout;
    get yogaNode(): any;
    _addChildFromBuilder(name: string, value: any): void;
    set width(value: PercentLength);
    get width(): PercentLength;
    set height(value: PercentLength);
    get height(): PercentLength;
    set minWidth(value: Length);
    get minWidth(): Length;
    set maxWidth(value: any);
    get maxWidth(): any;
    set maxHeight(value: any);
    get maxHeight(): any;
    set left(value: any);
    get left(): any;
    set top(value: any);
    get top(): any;
    set right(value: any);
    get right(): any;
    set bottom(value: any);
    get bottom(): any;
    set padding(value: any);
    set margin(value: any);
    set justifyContent(value: import("@nativescript/core/ui/layouts/flexbox-layout").JustifyContent);
    get justifyContent(): import("@nativescript/core/ui/layouts/flexbox-layout").JustifyContent;
    set flexWrap(value: import("@nativescript/core/ui/layouts/flexbox-layout").FlexWrap);
    get flexWrap(): import("@nativescript/core/ui/layouts/flexbox-layout").FlexWrap;
    set flex(value: number);
    get flex(): number;
    set flexDirection(value: FlexDirection);
    get flexDirection(): FlexDirection;
    set position(value: Position);
    get position(): Position;
    get start(): any;
    set start(value: any);
    get end(): any;
    set end(value: any);
    get direction(): Direction;
    set direction(value: Direction);
    get marginVertical(): any;
    set marginVertical(value: any);
    get marginHorizontal(): any;
    set marginHorizontal(value: any);
    get paddingHorizontal(): any;
    set paddingHorizontal(value: any);
    get paddingVertical(): any;
    set paddingVertical(value: any);
    private _addChild;
    addChild(view: NSView): void;
    addChildren(views: NSView[]): void;
    getChildAt(index: number): NSView;
    getChildIndex(view: NSView): number;
    getChildrenCount(): number;
    removeAllChildren(): void;
    removeChild(view: NSView): void;
}
